<?
if(isset($_GET['arend']) && ($_GET['arend']=='1' || $_GET['arend']=='2' || $_GET['arend']=='3' || $_GET['arend']=='4' || $_GET['arend']=='5'))
{
$arend=intval($_GET['arend']);
if($arend==1)
{
$cena=5;
$timee=3600*5;
$ps=50;
if($ku['hydropinics_time']>$time)
{
$ps=$ku['hydropinics_type']+$ps;
if($ps>300)$ps=300;
}
}
elseif($arend==2)
{
$cena=10;
$timee=3600*10;
$ps=100;
if($ku['hydropinics_time']>$time)
{
$ps=$ku['hydropinics_type']+$ps;
if($ps>300)$ps=300;
}
}
elseif($arend==3)
{
$cena=20;
$timee=3600*20;
$ps=200;
if($ku['hydropinics_time']>$time)
{
$ps=$ku['hydropinics_type']+$ps;
if($ps>300)$ps=300;
}
}
elseif($arend==4)
{
$cena=30;
$timee=3600*30;
$ps=300;
if($ku['hydropinics_time']>$time)
{
$ps=$ku['hydropinics_type']+$ps;
if($ps>300)$ps=300;
}
}
if($arend==1 || $arend==2 || $arend==4 || $arend==3|| $arend==5)
{
if($ku['rubies']>=$cena)
{
if(isset($_GET['ok']))
{
mysql_query("UPDATE `kolhoz_user` SET `hydropinics_time` = '".($ku['hydropinics_time']>$time?"".($ku['hydropinics_time']+$timee)."":"".($time+$timee)."")."', `hydropinics_type` = '$ps', `rubies` = '".($ku['rubies']-$cena)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `botanik` = '".($ku['botanik']+floor($timee/3600))."' WHERE `id` = '$ku[id]'");
$ku=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '$ku[id]'"));
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Арендовано на ".time_left($ku['hydropinics_time']-$time)."</span></li></ul></div>";
}
else
{
echo "<div class='event'><h1>Подтверждение</h1></div><div class='content'><div class='block'><ul class='block'><li><span class='title'>Вы уверены?</span></li><li class='pt'><img alt='' width='16' height='16' src='images/icons/tick.png'> <a href='?shop=hydropinics&arend=".intval($_GET['arend'])."&ok'><span> Да, подтверждаю</span></a></li><li><img alt='' width='16' height='16' src='images/icons/cross.png'> <a href='?shop=hydropinics'><span> Нет, отказываюсь</span></a></li></ul></div>";
include_once 'inc/foot.php';
}
}
else
{
$_SESSION['no_rubies']=$cena-$ku['rubies'];
header("Location:?shop=hydropinics");
}
}
}
echo "<div class='event'><h1>Гидропоника</h1></div>
<div class='content'>
<div class='block'>
<div>
<img width='48' height='48' src='images/hydropinics.png' alt='' class='portrait'>
<span class='epic'>Гидропоника</span>
- установка для повышения эффективности Полива и Удобрения путем опускания корней растений в минеральный раствор.
Гидропоника выдается только в аренду.
Максимальная концентрация раствора 300%.</div>
<div style='clear:both;'></div>
<h3>Эффект</h3>
<div class='title'>Существенно сокращает время роста растения при поливе и использовании удобрений.<br>
А также увеличивает опыт, получаемый во время полива и удобрения.
</div>
<h3>Аренда</h3>
<ul>
<li><img width='16' height='16' src='images/icons/tick.png' alt='o'> <a href='?shop=hydropinics&arend=1'>Арендовать</a> +50% на +5 часов <span class='minor'>(цена <img width='16' height='16' src='images/icons/ruby.png' alt='o'> 5 рубинов)</span></li>
<li><img width='16' height='16' src='images/icons/tick.png' alt='o'> <a href='?shop=hydropinics&arend=2'>Арендовать</a> +100% на +10 часов <span class='minor'>(цена <img width='16' height='16' src='images/icons/ruby.png' alt='o'> 10 рубинов)</span></li>
<li><img width='16' height='16' src='images/icons/tick.png' alt='o'> <a href='?shop=hydropinics&arend=3'>Арендовать</a> +200% на +20 часов <span class='minor'>(цена <img width='16' height='16' src='images/icons/ruby.png' alt='o'> 20 рубинов)</span></li>
<li><img width='16' height='16' src='images/icons/tick.png' alt='o'> <a href='?shop=hydropinics&arend=4'>Арендовать</a> +300% на +30 часов <span class='minor'>(цена <img width='16' height='16' src='images/icons/ruby.png' alt='o'> 30 рубинов)</span></li>
</ul>
<h3>Примеры</h3>
<div>
1) Если вы используете удобрение Компост с Гидропоникой 300%, то время роста урожая будет сокращено не на 2 часа, а на 8 часов!
А также Вы получите 40 опыта вместо 10-ти.
<br>
2) Если у Вас уже есть Гидропоника 200% на 20 часов и Вы покупаете еще Гидропонику 100% на 10 часов, в результате у Вас получится 300% на 30 часов.</div>
<div class='pt title'>
<img width='16' height='16' src='images/icons/advice.png' alt='o'> Рекомендуется использовать совместно с <a class='epic' href='?shop=scarecrow'>Пугалом</a>.
</div>
<div class='pt'>
<img width='16' height='16' src='images/icons/cart.png' alt='o'> <a href='?shop'>В магазин</a>
</div>
</div>";
include_once 'inc/foot.php';
?>